Check Point Advisories

Oracle AutoVue ActiveX Control File Overwrite

Check Point Reference: CPAI-2011-594
Date Published: 3 Jan 2012
Severity: High
Last Updated:
Source:
Protection Provided by:

Security Gateway
R75

Who is Vulnerable? Oracle AutoVue 20.0.1
Vulnerability Description A file overwrite vulnerability has been reported in Oracle AutoVue.
Vulnerability DetailsThe vulnerability is due to an unrestricted FileName parameter in a certain function. A remote attacker may exploit this vulnerability by enticing a target user to open a specially crafted web page. Successful exploitation could allow an attacker to overwrite arbitrary files in the context of the logged-on user.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your product to the latest update. For information on how to update , go to SBP-2006-05, Protection tab and select the version of your choice.

Security Gateway R75 / R71 / R70

1. In the IPS tab, click Protections and find the Oracle AutoVue ActiveX Control File Overwrite protection using the Search tool and Edit the protection's settings.

2. Install policy on all modules.

SmartView Tracker will log the following entries:
Attack Name: Oracle Protection Violation
Attack Information: Oracle AutoVue ActiveX control file overwrite

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO